Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class PermissionBundleAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.PermissionBundleAdmin

    public class PermissionBundleAdmin

extends java.lang.Object

The `PermissionBundleAdmin.java` class - colleciton of PermissionBundle admin tasks test.

Field Summary
`protected AdminManager` | `m_Main`
`static java.lang.String` | `SYSTEMOPTION_ACCESSLEVEL`

Constructor Summary
`PermissionBundleAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `createPermissionBundle(LibrarySession sess, ParameterTable params)` Section variant of Create PermissionBundle
`protected void` | `createPermissionBundle(LibrarySession sess, PermissionBundleDefinition def)` internal variant of Create PermissionBundle
`protected void` | `createPermissionBundle(LibrarySession sess, java.lang.String nameToken, java.lang.String descriptionToken)` inline variant of Create PermissionBundle
`protected void` | `freePermissionBundle(LibrarySession sess, ParameterTable params)` Section variant of Free PermissionBundle
`protected void` | `freePermissionBundle(LibrarySession sess, java.lang.String name)` Inline/internal variant of Free PermissionBundle
`protected PermissionBundle` | `lookupPermissionBundle(LibrarySession sess, java.lang.String name)` Lookup PermissionBundle by name
`protected void` | `modifyPermissionBundle(LibrarySession sess, ParameterTable params)` Section variant of Modify PermissionBundle
`protected void` | `modifyPermissionBundle(LibrarySession sess, java.lang.String name, PermissionBundleDefinition def)` internal variant of Modify PermissionBundle
`void` | `showPermissionBundle(LibrarySession sess, ParameterTable params)` Section variant of showPermissionBundle
`void` | `showPermissionBundle(LibrarySession sess, PermissionBundle permissionBundle)`
`void` | `showPermissionBundle(LibrarySession sess, java.lang.String permissionBundlename)` Inline/internal variant of showPermissionBundle
`protected void` | `showPermissionBundles(LibrarySession sess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEMOPTION_ACCESSLEVEL

    public static final java.lang.String SYSTEMOPTION_ACCESSLEVEL

See Also:
  Constant Field Values

### m_Main

    protected AdminManager m_Main

Constructor Detail

### PermissionBundleAdmin

    public PermissionBundleAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createPermissionBundle

    protected void createPermissionBundle(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  Section variant of Create PermissionBundle

  Throws:
    `IfsException`

### createPermissionBundle

    protected void createPermissionBundle(LibrarySession sess,
                                          java.lang.String nameToken,
                                          java.lang.String descriptionToken)
                                   throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  inline variant of Create PermissionBundle

  Throws:
    `IfsException`

### createPermissionBundle

    protected void createPermissionBundle(LibrarySession sess,
                                          PermissionBundleDefinition def)
                                   throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  internal variant of Create PermissionBundle

  Throws:
    `IfsException`

### modifyPermissionBundle

    protected void modifyPermissionBundle(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  Section variant of Modify PermissionBundle

  Throws:
    `IfsException`

### modifyPermissionBundle

    protected void modifyPermissionBundle(LibrarySession sess,
                                          java.lang.String name,
                                          PermissionBundleDefinition def)
                                   throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  internal variant of Modify PermissionBundle

  Throws:
    `IfsException`

### freePermissionBundle

    protected void freePermissionBundle(LibrarySession sess,
                                        ParameterTable params)
                                 throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  Section variant of Free PermissionBundle

  Throws:
    `IfsException`

### freePermissionBundle

    protected void freePermissionBundle(LibrarySession sess,
                                        java.lang.String name)
                                 throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  Inline/internal variant of Free PermissionBundle

  Throws:
    `IfsException`

### showPermissionBundles

    protected void showPermissionBundles(LibrarySession sess)
                                  throws IfsException

  Throws:
    `IfsException`

### lookupPermissionBundle

    protected PermissionBundle lookupPermissionBundle(LibrarySession sess,
                                                      java.lang.String name)
                                               throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  Lookup PermissionBundle by name

  Throws:
    `IfsException`

### showPermissionBundle

    public void showPermissionBundle(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  Section variant of showPermissionBundle

  Throws:
    `IfsException`

### showPermissionBundle

    public void showPermissionBundle(LibrarySession sess,
                                     java.lang.String permissionBundlename)
                              throws IfsException

  Description copied from class: `PermissionBundleAdmin`
  Inline/internal variant of showPermissionBundle

  Throws:
    `IfsException`

### showPermissionBundle

    public void showPermissionBundle(LibrarySession sess,
                                     PermissionBundle permissionBundle)
                              throws IfsException

  Throws:
    `IfsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD